Cote Draft

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Dimension and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Text.svg Texte Draft
Page suivante: BSpline Draft Draft BSpline.svg Arrow-right.svg

Draft Dimension.svg Draft Dimension

Menu location
Draft → Dimension
Workbenches
Draft, Arch
Default shortcut
D I
Introduced in version
0.8
See also
FlipDimension, Atelier TechDraw


Description==

L'outil Dimension crée un objet qui mesure et affiche la distance entre deux points ; un troisième point spécifie la position de la ligne de dimension.

L'outil peut mesurer des arêtes ou des lignes directement attachées à des corps solides ; si le corps change, la dimension se met à jour. L'outil peut également mesurer un diamètre ou un rayon de courbure tels que ceux produits par les opérations Draft Arc, ou par les opérations Part Congés, Sketcher Congés, et Part Design Congés.

La cote résultante est placée dans la vue 3D et est considérée comme un objet Draft. Cet objet peut être affiché sur une page Atelier Techdraw à l'aide des outils Nouvelle vue d'un objet Draft TechDraw ou Nouvelle vue Arch TechDraw. TechDraw dispose également de ses propres outils pour afficher les dimensions, tels que Longueur TechDraw et Dimension de rayon TechDraw. Cependant, ces outils sont destinés à la préparation de dessins techniques. Ils ne créent donc les cotes que dans la page de dessin et non dans la vue 3D.

Screenshot Draft Dimension.jpg

Dimension définie par trois points


Utilisation

  1. Appuyez sur le bouton Draft Dimension.png Cote Draft ou appuyez sur les touches D puis I.
  2. Cliquez sur un point de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft.
  3. Cliquez sur un deuxième point de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Les deux premiers points définissent la distance mesurée.
  4. Cliquez sur un tiers de la vue 3D ou tapez une Coordonnées Draft et appuyez sur le bouton Draft AddPoint.svg Ajouter un point Draft. Le dernier point définit la position de la ligne de mesure.

La dimension peut être modifiée en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Éditer Draft. Ensuite, vous pouvez déplacer les points vers une nouvelle position.

Les points de mesure peuvent être modifiés après la création en modifiant les propriétés de début et de fin.

La position de la ligne de mesure peut également être modifiée après la création en modifiant sa propriété direction.

Types de cotations disponibles

Relâchez le modificateur, Alt ou Shift, après avoir sélectionné un point ou une arête.

  • Dimensions linéaires: maintenez la touche Alt enfoncée ou cliquez sur le bouton View-select.svg sélectionnez le bord, sélectionnez un bord droit, puis sélectionnez un deuxième point pour tracer la ligne de cote parallèle à ce bord.
Remarque: vous pouvez également présélectionner l'arête avant d'appeler l'outil.
  • Dimensions horizontales et verticales: choisissez un point, puis un deuxième point, maintenez la touche Shift enfoncée et déplacez le pointeur horizontalement ou verticalement, puis choisissez un troisième point pour tracer la ligne de cote parallèle au point X axe ou l'axe des ordonnées.
Remarque 1: maintenez la touche Shift enfoncée et déplacez le pointeur dans différentes directions jusqu'à ce que la ligne de cote s'aligne sur l'axe souhaité. Un clic sur Shift alors que le pointeur est éloigné du premier point aligne généralement la dimension sur l'axe X; si le pointeur est proche du premier point, il alignera généralement la cote sur l'axe des ordonnées.
Remarque 2: au lieu de choisir deux points, choisissez un bord en maintenant Alt.
  • Dimensions du diamètre: maintenez la touche Alt enfoncée, sélectionnez un bord incurvé, puis choisissez un deuxième point pour tracer la ligne de cote.
    • Dimensions du rayon: maintenez la touche Alt et sélectionnez un bord incurvé, puis maintenez la touche Shift et choisissez un deuxième point pour tracer la ligne de cote.
  • Dimensions angulaires: maintenez la touche Alt puis sélectionnez deux arêtes droites, puis choisissez un point situé entre les deux arêtes pour afficher l'angle aigu ou obtus, ou ailleurs pour indiquer un angle supplémentaire ou explicite.
Remarque: l'angle affiché dépend en grande partie de la position d'origine des arêtes sélectionnées. Si vous souhaitez afficher un angle particulier, vous devrez peut-être ajouter des Ligne Draft auxiliaires qui s'étendent des bords d'origine et mesurer ces extensions.

Remarque: en présélectionnant une arête ou en la choisissant avec Alt ou View-select.svg sélectionnez le bord, la dimension deviendra paramétrique, c’est-à-dire qu’elle se souviendra du bord auquel elle est liée. Si les extrémités de ce bord se déplacent ultérieurement, la cote les suivra et ajustera la mesure affichée.

Options

  • Appuyez sur X, Y ou Z après un point pour contraindre le point suivant sur l'axe donné.
  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Ajouter un point Draft lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relatif. Si le mode relatif est activé, les coordonnées du point suivant sont relatives au point précédent. sinon, ils sont absolus, pris de l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continuer. Si le mode Continuer est activé, l'outil Cote redémarre une fois que vous avez défini le dernier point, ce qui vous permet de dessiner une autre dimension sans appuyer à nouveau sur le bouton de l'outil. les dimensions suivantes commenceront à partir du dernier point de la dimension précédente et partageront la même ligne de base.
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer Accrochage Draft votre point au point de capture le plus proche, indépendamment de la distance.
  • Maintenez la touche Shift pendant que vous dessinez sur Contrainte Draft votre prochain point horizontalement ou verticalement par rapport au précédent et basculez entre les modes diamètre et rayon.
  • Appuyez sur Echapp ou sur le bouton Fermer pour abandonner la commande en cours, puis terminez les dimensions continuées. Les dimensions déjà placées le resteront.

Propriétés

Données

  • DATAStart: Le point de départ de la cote
  • DATAEnd: Le point final de la cote
  • DATADimline: Le point donnant la valeur de la dimension de la ligne de cote
  • DATADistance: (en lecture seule) indique la longueur mesurée.
  • DATADiameter: s'il s'agit de True, affiche une dimension de diamètre, sinon affiche une cote de rayon. Cette propriété ne fonctionne que si la dimension est attachée à un arc de cercle.

Vue

  • VIEWExt Lines: spécifie la longueur maximale des lignes d'attache allant des points de mesure à la ligne de cote.
  • VIEWExt Overshoot: spécifie la longueur supplémentaire des lignes d'attache au-delà de la ligne de cote.
  • VIEWDim Overshoot: spécifie la longueur supplémentaire ajoutée à la ligne de cote.
  • VIEWArrow Size: spécifie la taille du symbole affiché aux extrémités de la ligne de cote.
  • VIEWArrow Type: spécifie le type de symbole affiché aux extrémités de la ligne de cote, qui peut être "Point", "Cercle", "Flèche" ou "Coche".
  • VIEWFlip Arrows: spécifie s'il faut inverser l'orientation des symboles aux extrémités de la ligne de cote. cela ne fonctionne que si ces symboles sont des flèches.
  • VIEWFont Name: spécifie la police à utiliser pour dessiner le texte. Il peut s'agir d'un nom de police, tel que "Arial", d'un style par défaut tel que "sans", "serif" ou "mono", d'une famille telle que "Arial, Helvetica, sans" ou d'un nom avec un style tel que " Arial: "Gras". Si la police donnée n'est pas trouvée sur le système, une police générique est utilisée à la place.
  • VIEWFont Size: spécifie la taille des lettres. Si l'objet de cote est créé dans la vue arborescente mais qu'aucun texte n'est visible, augmentez la taille du texte jusqu'à ce qu'il soit visible.
  • VIEWFlip Text: spécifie s'il faut retourner l'orientation du texte indiquant la mesure.
  • VIEWText Position: spécifie la position du texte en coordonnées absolues, par rapport à l'origine (0,0,0); laissez cette propriété à sa valeur par défaut (0,0,0) pour afficher le texte en regard de la ligne de cote.
  • VIEWText Spacing: spécifie l'espace entre le texte et la ligne de cote.
  • VIEWOverride: spécifie un texte personnalisé à afficher à la place de la mesure réelle. Utilisez la chaîne $ dim à l'intérieur du texte pour afficher la valeur de mesure.
  • VIEWDecimals: spécifie le nombre de décimales à afficher sur la mesure.
  • VIEWShow Unit: s'il s'agit de True, l'unité est affichée à côté de la valeur numérique de la mesure.
  • VIEWUnit Override: spécifie une unité dans laquelle exprimer la mesure, par exemple, "km", "m", "cm", "mm", "mi", "ft", "in" ; laissez cette propriété vide pour utiliser les unités par défaut. introduced in version 0.17

Script

Voir aussi: Draft API et FreeCAD scripts de base.

L'outil Cote peut être utilisé à l'intérieur d'une macro et à partir de la console Python en utilisant la fonction suivante:

Dimension = makeDimension(p1, p2, p3=None, p4=None)

Il existe différentes manières d’appeler cette fonction, en fonction des arguments qui lui sont transmis:

Dimension = makeDimension(p1, p2, p3=None)
Dimension = makeDimension(object, i1, i2, p4=None)
Dimension = makeDimension(object, i1, mode, p4=None)
  • Crée un Dimension linéaire en mesurant la distance entre les points p1 et p2.
  • Crée un Dimension linéaire lié à object, mesurant la distance entre ses sommets indexés i1 et i2.
  • Crée un Dimension circulaire lié à object, avec i1 étant l'index du bord incurvé à mesurer et mode étant soit "radius" ou "diameter" pour spécifier le type de dimension.
    • p3 lors du premier appel et p4 dans les deux autres, spécifiez un point facultatif par lequel la ligne de cote doit passer.
    • Tous les points sont définis par leur FreeCAD.Vector.

Pour créer une cote angulaire, utilisez la fonction suivante:

Dimension = makeAngularDimension(center, angles, p3, normal=None)
Dimension = makeAngularDimension(center, [angle1, angle2], p3, normal=None)
  • Crée une Dimension angulaire à partir du point center, de la liste d'angles entre deux éléments et le point p3 par lequel l'arc devrait passer.
    • Si angle1 > angle2, l'angle affiché est la différence angle1 - angle2 sinon l'angle complémentaire est affiché 360 - (angle2 - angle1).
    • Les angles doivent être exprimés en radians. La fonction math.radians() peut être utilisée pour convertir des angles donnés en degrés.

Les propriétés de vue de Dimension peuvent être modifiées en remplaçant ses attributs, par exemple en changeant ViewObject.FontSize avec la nouvelle taille en millimètres.

Exemple:

import math, FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(-2500, 0, 0)
Dimension1 = Draft.makeDimension(p1, p2, p3)
Dimension1.ViewObject.FontSize = 200

Polygon = Draft.makePolygon(3, radius=1000)
p4 = FreeCAD.Vector(-2000, 1500, 0)
Dimension2 = Draft.makeDimension(Polygon, 1, 2, p4)
Dimension2.ViewObject.FontSize = 200

center = FreeCAD.Vector(2000, 0, 0)
p5 = FreeCAD.Vector(3000, 1000, 0)
angle1 = math.radians(45)
angle2 = math.radians(10)
Dimension3 = Draft.makeAngularDimension(center, [angle1, angle2], p5)
Dimension3.ViewObject.FontSize = 200

Dimension4 = Draft.makeAngularDimension(center, [angle2, angle1], p5*1.2)
Dimension4.ViewObject.FontSize = 200

Liens

Arrow-left.svg Page précédente: Draft Text.svg Texte Draft
Page suivante: BSpline Draft Draft BSpline.svg Arrow-right.svg